#!/bin/bash
#set -e
#加载配置信息
function if_err(){
	if [ $? -ne 0 ];then
		exit 127
	fi
}

source ./install.ini

#定义安装程序的db路径
DB_DEPLOY_FILE=$(dirname $0)/Health-cloud-server/db_server

if [ ! -d ${DB_DEPLOY_DIR} ];then mkdir -p ${DB_DEPLOY_DIR};fi
#定义部署目标路径(app,db)
db_sc_dir=${DB_DEPLOY_DIR}
#将docker-compose工程部署到本机
cp -rf ${DB_DEPLOY_FILE} ${db_sc_dir}
#创建数据目录
echo -e "正在创建数据目录"
mkdir -p ${db_sc_dir}/data/{es_data,mq_data,mongo_data,redis_data,mysql_data}

cd ${db_sc_dir}
db_compose_file=${db_sc_dir}/docker-compose-alldb.yaml
docker-compose ${db_compose_file} up -d
docker-compose ${db_compose_file} status
if_err